Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore
Class RequestCRSTransformationTrigger

    java.lang.Object
      org.deegree.io.datastore.RequestCRSTransformationTrigger

All Implemented Interfaces:
  Trigger

    public class RequestCRSTransformationTrigger

extends Object
implements Trigger

Trigger implementation for transformation of geometries being part of a WFS request into the CRS of the comparsion geometries at the physical datasource.
At th moment just support for GetFeature is implemented TODO support for update and delete requests

Version:
  $Revision: 23693 $, $Date: 2010-04-20 14:33:55 +0200 (Di, 20. Apr 2010) $
Author:
  Andreas Poth, last edited by: $Author: hrubach $

Constructor Summary
`RequestCRSTransformationTrigger()`

Method Summary
`Object[]` | `doTrigger(Object caller, Object... values)` performs the action(s) defined by a concrete trigger.
`String` | `getName()` returns the name of the Trigger.
`void` | `setName(String name)` sets the name of a Trigger
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestCRSTransformationTrigger

    public RequestCRSTransformationTrigger()

Method Detail

### doTrigger

    public Object[] doTrigger(Object caller,
                              Object... values)

  Description copied from interface: `Trigger`
  performs the action(s) defined by a concrete trigger. The returned value must have the same structure as the passed parameter. A trigger may changes the values of the passed parameter(s) but do not change their type or structure

  Specified by:
    `doTrigger` in interface `Trigger`
  Parameters:
    `caller` - calling instance
    `values` - parameter values passed from the caller. Because RequestCRSTransformationTrigger is intented to be used as a preTrigger this will be all parameters passed to the calling method

### getName

    public String getName()

  Description copied from interface: `Trigger`
  returns the name of the Trigger. The name starts with the name of the class Trigger is assigend to followed by the method from where it is called followed by its 'specific' name; e.g.
  org.deegree.enterprise.servlet.OGCServletController.doService.MyTrigger

  Specified by:
    `getName` in interface `Trigger`
  Returns:
    the name of the Trigger.

### setName

    public void setName(String name)

  Description copied from interface: `Trigger`
  sets the name of a Trigger

  Specified by:
    `setName` in interface `Trigger`

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org